Skip to main content

OFS SCRIP MASTER

This API retrieves the list of available scrips listed under the OFS (Offer For Sale) exchange segment.

Endpoint: GET /nontransactional/{tenantId}/v1/scripmaster

🔑 Header Parameters

HeaderTypeDescriptionExample
AuthorizationstringBearer token for authenticated requests{{access_token}}

🔗 Path Parameters

ParameterTypeRequiredDescriptionExample
tenantIdintegerYesTenant identifier797

🔍 Query Parameters

ParameterTypeRequiredDescriptionExample
exchangesstringYesExchange segment to fetch scrip master data for; pass the relevant exchange segment name"NSE_OTS"

🟢 Success Response - 200 OK

Content-Type: application/json

FieldTypeDescriptionExample
statusstringStatus of API call"success"
codestringResponse code to user request"s-101"
messagestringSuccess message"Scrip Master fetched successfully"
dataarrayArray of OFS scrip master objectsRefer to Data Object Fields

📦 Data Object Fields

FieldTypeDescriptionExample
tokenintegerExchange token identifying the instrument2885
symbolstringTrading symbol of the instrument"RELIANCE"
seriesstringSeries of the instrument"RS "
isinstringISIN code of the instrument"INE002A01018"
securityDescriptionstringFull description of the security"RELIANCE IND"
instrumentstringInstrument category identifier" "
optionTypestringOption type; blank for OFS instruments" "
strikePricenumberStrike price; 0 for non-derivative instruments0
faceValuenumberFace value of the instrument0
floorPricenumberMinimum price (floor) set for the OFS issue165000
issuedcapitalstringTotal issued capital for the OFS"400000"
issueStartDatestringStart date of the OFS issue (DD/MM/YYYY)"28/10/2025"
issueStartTimestringStart time of the OFS issue (HH:MM:SS)"14:30:00"
expiryDateintegerExpiry date epoch; 0 for OFS instruments0
marketSegmentIdintegerMarket segment identifier for this instrument33
marketLotintegerMarket lot size for the instrument1
minimumLotintegerMinimum lot size required for placing an order0
priceTicknumberMinimum price movement (tick size) in paise5
decimalLocatorintegerDecimal precision indicator100
priceDenintegerPrice denominator for price conversion1
priceNumintegerPrice numerator for price conversion1
qtyUnitstringQuantity unit indicator"0"
avmBuyMarginnumberAVM buy margin percentage0
avmSellMarginnumberAVM sell margin percentage0

Note: The floorPrice is returned in paise (i.e., divide by 100 to get the price in rupees). For example, 165000 represents ₹1,650.00.